{"title":"Update journalLines","url":"https://jonas-paprotka.de/docs/dev-itpro/api-reference/v2.0/api/dynamics_journalline_update/","by":"JOP-AL","license":"Copyright (c) Microsoft Corporation. CC BY 4.0, https://creativecommons.org/licenses/by/4.0/; code samples MIT. From https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v2.0/api/dynamics_journalline_update, MicrosoftDocs/dynamics365smb-devitpro-pb at 828b6ee (2026-11-19). Changed: includes filled in, links to this site, and for agents shortened without dropping a fact.","credit":"Microsoft Corporation, CC BY 4.0","origin":"https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v2.0/api/dynamics_journalline_update","source":{"name":"Business Central developer and IT pro docs","repo":"https://github.com/MicrosoftDocs/dynamics365smb-devitpro-pb","commit":"828b6ee72fcd75755627cd6011f3d20899217ab2","date":"2026-11-19"},"checked":"2026-11-19","description":"Updates a journal line in Dynamics 365 Business Central.","date":"2026-08-21","meta":{"topic":"reference"},"outline":[{"level":2,"title":"HTTP request","slug":"http-request","at":70,"chars":228},{"level":2,"title":"Request headers","slug":"request-headers","at":298,"chars":266},{"level":2,"title":"Request body","slug":"request-body","at":564,"chars":339},{"level":2,"title":"Response","slug":"response","at":903,"chars":133},{"level":2,"title":"Example","slug":"example","at":1036,"chars":933},{"level":2,"title":"Related information","slug":"related-information","at":1969,"chars":213}],"text":"Update the properties of a journal lines object for Business Central.\n## HTTP request\nReplace the URL prefix for Business Central depending on environment following the guideline<../endpoints-apis-for-dynamics>.\n```\nPATCH businesscentralPrefix/companies({id})/journals({id})/journalLines({id})\n```\n## Request headers\nHeader|Value\nAuthorization|Bearer {token}. Required.\nContent-Type|application/json\nIf-Match|Required. When this request header is included and the eTag provided doesn't match the current tag on the journalLines, the journalLines won't be updated.\n## Request body\nIn the request body, supply the values for relevant fields that should be updated. Existing properties that aren't included in the request body will maintain their previous values or be recalculated based on changes to other property values. For best performance you shouldn't include existing values that haven't changed.\n## Response\nIf successful, this method returns a ```200 OK``` response code and an updated journalLines object in the response body.\n## Example\nRequest\nHere's an example of the request.\n```json\nPATCH https://{businesscentralPrefix}/api/v2.0/companies({id})/journals({id})/journalLines({id})\nContent-type: application/json\n\n{\n  \"amount\": 0\n}\n```\nResponse\n```json\nHTTP/1.1 200 OK\nContent-type: application/json\n\n{\n    \"id\": \"0a077d18-45e3-ea11-bb43-000d3a2feca1\",\n    \"journalId\": \"dd1b6a90-44e3-ea11-bb43-000d3a2feca1\",\n    \"journalDisplayName\": \"DEFAULT\",\n    \"lineNumber\": 10000,\n    \"accountType\": \"G/L Account\",\n    \"accountId\": \"00000000-0000-0000-0000-000000000000\",\n    \"accountNumber\": \"\",\n    \"postingDate\": \"2018-12-31\",\n    \"documentNumber\": \"\",\n    \"externalDocumentNumber\": \"\",\n    \"amount\": 0,\n    \"description\": \"\",\n    \"comment\": \"\",\n    \"taxCode\": \"\",\n    \"balanceAccountType\": \"G/L Account\",\n    \"balancingAccountId\": \"00000000-0000-0000-0000-000000000000\",\n    \"balancingAccountNumber\": \"\",\n    \"lastModifiedDateTime\": \"0001-01-01T00:00:00Z\"\n}\n```\n## Related information\nTips for working with the APIs<../../../developer/devenv-connect-apps-tips>\n../resources/dynamics_journalline\ndynamics_journalline_get\ndynamics_journalline_delete\ndynamics_journalline_create"}